default: delstar
help:
	@echo "make options: addstar (default)"

include ../../Makefile.System
HOME 	=	$(ROOT)/src/delstar
BIN	=	$(HOME)/bin
LIB	=	$(HOME)/lib
INC	= 	$(HOME)/include
SRC	=	$(HOME)/src
MAN	=	$(HOME)/doc
include ../../Makefile.Common

# programs may add their own internal requirements here
FULL_CFLAGS   = $(BASE_CFLAGS)
FULL_CPPFLAGS = $(BASE_CPPFLAGS)
FULL_LDFLAGS  = -ldvo -lFITS -lohana $(BASE_LDFLAGS)

delstar: $(BIN)/delstar.$(ARCH)
install: $(DESTBIN)/delstar

DELSTAR = \
$(SRC)/delstar.$(ARCH).o          \
$(SRC)/SetSignals.$(ARCH).o       \
$(SRC)/ConfigInit.$(ARCH).o 	  \
$(SRC)/args.$(ARCH).o	          \
$(SRC)/delete_imagename.$(ARCH).o \
$(SRC)/delete_imagefile.$(ARCH).o \
$(SRC)/delete_times.$(ARCH).o 	  \
$(SRC)/gimages.$(ARCH).o   	  \
$(SRC)/find_image_db.$(ARCH).o    \
$(SRC)/find_matches.$(ARCH).o 	  \
$(SRC)/parse_time.$(ARCH).o       \
$(SRC)/check_permissions.$(ARCH).o \
$(SRC)/Shutdown.$(ARCH).o          

OLD = \
$(SRC)/gregion_image.$(ARCH).o    \
$(SRC)/gregion_patch.$(ARCH).o    \
$(SRC)/RegionOps.$(ARCH).o   	  

$(DELSTAR): $(INC)/delstar.h
$(BIN)/delstar.$(ARCH) : $(DELSTAR)
